%global debug_package %{nil}
%bcond_with prov_rust_pack

Summary:    OCI network stack
Name:       netavark
Version:    1.12.2
Release:    3%{?dist}
License:    ASL 2.0 and BSD and MIT
URL:        https://github.com/containers/netavark
Source0:    %{url}/archive/v%{version}.tar.gz
Source1:    %{url}/releases/download/v%{version}/%{name}-v%{version}-vendor.tar.gz

BuildRequires: make
BuildRequires: systemd cargo go-md2man git-core protobuf-c protobuf-compiler
%if %{defined prov_rust_pack}
BuildRequires: rust-packaging rust-srpm-macros
%else
BuildRequires: rust-toolset
%endif
Requires:      aardvark-dns >= %{version}
Provides:      container-network-stack = 2

ExclusiveArch: %{rust_arches}

%description
Netavark is a rust based network stack for containers. It is
being designed to work with Podman but is also applicable for
other OCI container management applications.


%prep
%autosetup %{name}-%{version} -a 1 -p1
mkdir -p .cargo

cat >.cargo/config << EOF
[source.crates-io]
replace-with = "vendored-sources"

[source."https://github.com/containers/netavark-dhcp-proxy"]
git = "https://github.com/containers/netavark-dhcp-proxy"
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"
EOF

%build
cargo build --release
mkdir -p bin
cp target/release/%{name} bin/

cd docs
go-md2man -in %{name}.1.md -out %{name}.1

%install
%make_install PREFIX=%{_prefix}

%preun
%systemd_preun %{name}-dhcp-proxy.service
%systemd_preun %{name}-firewalld-reload.service

%postun
%systemd_postun_with_restart %{name}-dhcp-proxy.service
%systemd_postun_with_restart %{name}-firewalld-reload.service

%files
%license LICENSE
%dir %{_libexecdir}/podman
%{_libexecdir}/podman/%{name}
%{_unitdir}/netavark-dhcp-proxy.service
%{_unitdir}/netavark-dhcp-proxy.socket
%{_unitdir}/netavark-firewalld-reload.service
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Mar 13 2025 Chunsheng Luo <luffyluo@tencent.com> - 1.12.2-3
- Rebuild for protobuf-24.2-7

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.2-2
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Thu Sep 12 2024 jackeyji <jackeyji@tencent.com> - 1.12.2-1
- [Type] other
- [DESC] upgrade to 1.12.2 for aardvark-dns-1.12.2

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-8
- Rebuilt for loongarch release

* Mon Jul 08 2024 Rebuild Robot <rebot@opencloudos.org> - 1.6.0-7
- [Type] bugfix
- [DESC] Rebuilt for rust-packaging

* Thu Jun 6 2024 Pengda Dou <doupengda@loongson.cn> - 1.6.0-6
- [Type] other
- [DESC] add support for loongarch64

* Wed Sep 20 2023 Miaojun Dong <zoedong@tencent.com> - 1.6.0-5
- Rebuild for protobuf-24.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Sep 07 2023 cunshunxia@tencent.com - 1.6.0-3
- Rebuilt for protobuf 3.21.12

* Tue Jul 18 2023 Wang Guodong <gordonwwang@tencent.com> - 1.6.0-2
- Rebuilt for rust 1.69.0

* Thu Jul 13 2023 Miaojun Dong <zoedong@tencent.com> - 1.6.0-1
- Bump version to 1.6.0

* Tue May 16 2023 Miaojun Dong <zoedong@tencent.com> - 1.5.0-2
- remove provides generated by cargo tree

* Tue May 16 2023 Miaojun Dong <zoedong@tencent.com> - 1.5.0-1
- update version to 1.5.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 07 2023 Miaojun Dong <zoedong@tencent.com> - 1.3.0-1
- initial build
